std::hash< __shared_ptr< _Tp, _Lp > > Struct Template Reference

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const __shared_ptr< _Tp, _Lp > &__s) const noexcept

## Detailed Description

### template<typename _Tp, _Lock_policy _Lp>
struct std::hash< __shared_ptr< _Tp, _Lp > >

std::hash specialization for __shared_ptr.

Definition at line 1855 of file shared_ptr_base.h.

The documentation for this struct was generated from the following file:

- shared_ptr_base.h